import 'package:opencv_dart/opencv_dart.dart' as cv;

void main() {
  var p1 = cv.VecPoint.fromList([cv.Point(0, 0), cv.Point(1, 1)]);
  var p2 = cv.VecPoint2f.fromList([cv.Point2f(0, 0), cv.Point2f(1, 1)]);

  // Is it p1.mat ?
  // Or is it cv.findHomography(p1, p1) but actually needs specific types ?
  cv.Mat mat1 = cv.Mat.fromVec(p1);
  cv.Mat mat2 = cv.Mat.fromVec(p2);
  cv.findHomography(mat1, mat2);
}
